---
title: "Searches Delivery Addresses by Customer id and other parameters"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed/operations/get-customers-id-deliveryaddresses"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed.md

# Searches Delivery Addresses by Customer id and other parameters

`GET` `/customers/{id}/deliveryaddresses`

Operation ID: `get-customers-id-deliveryaddresses`

Searches Delivery Addresses by Customer id and other parameters

## Path parameters

- `id` (integer, int32, required) - Format - int32. Customer id

## Query parameters

- `default` (boolean, optional) - Is default
- `modified_since` (string, date-time, optional) - Format - date-time (as date-time in RFC3339). Modified since
- `page_number` (integer, int32, optional) - Format - int32.
- `page_size` (integer, int32, optional) - Format - int32.

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Paging Response with Delivery Address data
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: V2
servers:
  - url: https://api.retailexpress.com.au/v2
paths:
  /customers/{id}/deliveryaddresses:
    get:
      tags:
        - customers
      summary: Searches Delivery Addresses by Customer id and other parameters
      description: Searches Delivery Addresses by Customer id and other parameters
      operationId: get-customers-id-deliveryaddresses
      parameters:
        - name: id
          in: path
          description: Format - int32. Customer id
          required: true
          schema:
            type: integer
            description: Customer id
            format: int32
        - name: default
          in: query
          description: Is default
          schema:
            type: boolean
            description: Is default
            nullable: true
        - name: modified_since
          in: query
          description: Format - date-time (as date-time in RFC3339). Modified since
          schema:
            type: string
            description: Modified since
            format: date-time
            nullable: true
        - name: page_number
          in: query
          description: Format - int32.
          schema:
            maximum: 100000
            minimum: 1
            type: integer
            format: int32
        - name: page_size
          in: query
          description: Format - int32.
          schema:
            maximum: 2147483647
            minimum: 1
            type: integer
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Paging Response with Delivery Address data
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/DeliveryAddress.PagingResponse"
              example:
                data:
                  - country: string
                    country_code: string
                    state: string
                    suburb: string
                    address_line1: string
                    address_line2: string
                    postcode: string
                    company: string
                    mobile: string
                    phone: string
                    first_name: string
                    last_name: string
                    id: 0
                    default: true
                    modified_on: string
                page_number: 0
                page_size: 0
                total_records: 0
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    DeliveryAddress.PagingResponse:
      title: ""
      type: object
      properties:
        data:
          type: array
          items:
            $ref: "#/components/schemas/DeliveryAddress"
          nullable: true
        page_number:
          type: integer
          format: int32
        page_size:
          type: integer
          format: int32
        total_records:
          type: integer
          format: int32
      additionalProperties: false
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    DeliveryAddress:
      title: ""
      type: object
      properties:
        country:
          type: string
          description: Country
          nullable: true
        country_code:
          type: string
          description: Country Code
          nullable: true
        state:
          type: string
          description: State
          nullable: true
        suburb:
          type: string
          description: Suburb
          nullable: true
        address_line1:
          type: string
          description: Address line 1
          nullable: true
        address_line2:
          type: string
          description: Address line 2
          nullable: true
        postcode:
          type: string
          description: Post code
          nullable: true
        company:
          type: string
          description: Company
          nullable: true
        mobile:
          type: string
          description: Mobile phone
          nullable: true
        phone:
          type: string
          description: Phone
          nullable: true
        first_name:
          type: string
          description: First name
          nullable: true
        last_name:
          type: string
          description: Last Name
          nullable: true
        id:
          type: integer
          description: Identifier
          format: int32
        default:
          type: boolean
          description: Is Default
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Delivery Address model
```
